import request from '@/utils/request'

// 查询叉车台账列表
export function listDecvcc(query) {
  return request({
    url: '/sems/decvcc/list',
    method: 'get',
    params: query
  })
}

// 查询叉车台账详细
export function getDecvcc(id) {
  return request({
    url: '/sems/decvcc/' + id,
    method: 'get'
  })
}

// 新增叉车台账
export function addDecvcc(data) {
  return request({
    url: '/sems/decvcc',
    method: 'post',
    data: data
  })
}

// 修改叉车台账
export function updateDecvcc(data) {
  return request({
    url: '/sems/decvcc',
    method: 'put',
    data: data
  })
}

// 删除叉车台账
export function delDecvcc(id) {
  return request({
    url: '/sems/decvcc/' + id,
    method: 'delete'
  })
}

// 导出叉车台账
export function exportDecvcc(query) {
  return request({
    url: '/sems/decvcc/export',
    method: 'get',
    params: query
  })
}
